SeExpr

Functions | Variables
ExprFileDialog.cpp File Reference
`#include "ExprFileDialog.h"`
`#include <QToolButton>`
`#include <QPalette>`
`#include <QMenu>`
`#include <QTimer>`
`#include <QUrl>`
`#include <iostream>`

Go to the source code of this file.

## Functions
static QStringList | makeFiltersList (const QString &filter)

## Variables
static const char * | folder_fav []

## Function Documentation

## ◆ makeFiltersList()

static QStringList makeFiltersList | ( | const QString & | filter | ) |
| static

Definition at line 214 of file ExprFileDialog.cpp.

Referenced by ExprFileDialog::getExistingDirectory(), ExprFileDialog::getOpenFileName(), ExprFileDialog::getOpenFileNames(), and ExprFileDialog::getSaveFileName().

## Variable Documentation

## ◆ folder_fav

const char* folder_fav[]
| static

Initial value:
= {"17 16 4 1", "# c #000000", ". c None", "a c #ffff98",
"b c #cc0000", ".................", ".................", "...#####.........",
"..#aaaaa#........", ".###############.", ".#aaaaaaaaaaaaa#.", ".#aaaa##a##aaaa#.",
".#aaa#bb#bb#aaa#.", ".#aaa#bbbbb#aaa#.", ".#aaa#bbbbb#aaa#.", ".#aaaa#bbb#aaaa#.",
".#aaaaa#b#aaaaa#.", ".#aaaaaa#aaaaaa#.", ".#aaaaaaaaaaaaa#.", ".###############.",
"................."}

Definition at line 32 of file ExprFileDialog.cpp.

Referenced by ExprFileDialog::addFavoritesButton().